Payment links
Create payment link
Creates a new payment link.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/payment-links" \ -H "Content-Type: application/json" \ -d '{ "type": "subscription", "name": "Northwind APM Subscribe", "status": "active", "slug": "nw-apm-subscribe", "description": "Subscribe to Northwind Application Performance Monitoring.", "plan_id": "pln_IhMUl3rrZ3" }'{
"payment_page": {
"type": "subscription",
"id": "paylnk_IhMUl3rrZ3",
"name": "Northwind APM Subscribe",
"status": "active",
"description": "Subscribe to Northwind Application Performance Monitoring.",
"slug": "nw-apm-subscribe",
"url": "https://billingrails.page/northwind-labs-api-sandbox/pay/nw-apm-subscribe",
"return_url": null,
"created_at": "2025-02-14T17:33:40.843Z"
},
"meta": {
"request_id": "req_IhMUl3rrZ3"
}
}